<?php get_header(); ?>
		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php esc_html_e('Portfolio','housebuild'); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- projects-page section 
			================================================== -->
		<section class="projects-page-section">
			<div class="container">
				<ul class="filter">
					<?php $portfolio_skills = get_terms('portfolio_category'); ?>
					
					<li><a class="active" href="#" data-filter="*"><?php esc_html_e('Show All','housebuild'); ?></a></li>
					<?php foreach($portfolio_skills as $portfolio_skill) { ?>
					<li><a href="#" data-filter=".<?php echo esc_attr($portfolio_skill->slug); ?>"><?php echo esc_html($portfolio_skill->name); ?></a></li>
					<?php } ?>
				</ul>
				<div class="project-box iso-call">
					<?php  while(have_posts()) : the_post(); ?>
					<?php
						$item_classes = '';
						$item_skill = '';
						$item_cats = get_the_terms(get_the_ID(), 'portfolio_category');
						foreach((array)$item_cats as $item_cat){
							if(count($item_cat)>0){
								$item_classes .= $item_cat->slug . ' ';
								$item_skill .= $item_cat->name . ' | ';
							}
						}
					?>
					<div class="project-post <?php echo esc_attr($item_classes);?>">
						<?php the_post_thumbnail(); ?>
						<div class="hover-box">
							<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
							<span><?php $skill = get_the_term_list( get_the_ID(), 'portfolio_category', ' ', ', ', '' ); ?> <?php echo do_shortcode($skill); ?></span>
						</div>
					</div>
					<?php endwhile; ?>
				</div>
				<?php housebuild_pagination($prev = 'Prev', $next = 'Next', $pages=''); ?>
			</div>
		</section>
		<!-- End projects-page section -->
<?php get_footer(); ?>