<?php 
/*
*Template Name: Blog Standard
*/
?>
<?php get_header(); ?>

		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section" <?php global $wp_query; if(get_post_meta($wp_query->get_queried_object_id(), "_cmb_breadcrumb_bg", true)!=''){?> style="background-image: url(<?php echo get_post_meta($wp_query->get_queried_object_id(), "_cmb_breadcrumb_bg", true); ?>);"  <?php } ?>>
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php single_post_title(); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- blog section 
			================================================== -->
		<section class="blog-section">
			<div class="container">
				<div class="row">
					<div class="col-md-8">
						<div class="blog-box">
							<?php 
								if(is_front_page()) {
									$paged = (get_query_var('page')) ? get_query_var('page') : 1;
								} else {
									$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
								}
								$args = array(
									'post_type' => 'post',
									'posts_per_page' =>4,
									'paged' => $paged,
								);
								$query = new WP_Query($args);
							?>
							 <?php 
							if($query->have_posts()) :
											while($query->have_posts()) : $query->the_post(); 
							?>
							<?php get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) ); ?>

							<?php endwhile; ?>
							<?php else: ?>
							<div class="not-found">
									<h1><?php esc_html_e('Nothing Found Here!','housebuild'); ?></h1>
									<h3><?php esc_html_e('Search with other string:', 'housebuild') ?></h3>
									<div class="search-form">
											<?php get_search_form(); ?>
									</div>
							</div>
							<?php endif; ?>
							<?php housebuild_pagination($prev = 'Prev', $next = 'Next', $pages=$query->max_num_pages); ?>
							
						</div>
						
					</div>
					<div class="col-md-4">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End blog section -->
<?php get_footer(); ?>