<?php
$css = '';
extract(shortcode_atts(array(
  'image' => '',
  'zoom' => '17',
  'lat' => '51.51152',
  'lon' => '-0.125198',
  'type' => '',
), $atts));
wp_enqueue_script("map_api", "https://maps.googleapis.com/maps/api/js?v=3.exp&amp;sensor=false",array(),false,true);
wp_enqueue_script("map", get_template_directory_uri()."/js/gmap3.min.js",array(),false,true);
?>
<div id="map"></div>
<?php
if($atts['image']!=''){
	$img = wp_get_attachment_image_src($atts['image'],'full');
	$img = $img[0];
	}else{
		$img = get_template_directory_uri().'/images/marker.png';
	}
?>
<?php if($type=='street'){ ?>
<script>
	(function($){
		'use strict';
		
		$(document).ready(function(){
			/* ---------------------------------------------------------------------- */
			/*	map street view mode function
			/* ---------------------------------------------------------------------- */
			function initialize() {
				var bryantPark = new google.maps.LatLng(<?php echo  esc_js($atts['lat']); ?>,<?php echo esc_js($atts['lon']); ?>); //Change a map street view cordinate here! {"lat":"-33.880641", "lon":"151.204298"}
				var panoramaOptions = {
					position: bryantPark,
					pov: {
						heading: 165,
						pitch: 0
					},
					zoom: 1
				};
				var myPano = new google.maps.StreetViewPanorama(
					document.getElementById('map'),
					panoramaOptions);
				myPano.setVisible(true);
			}

			try {
				google.maps.event.addDomListener(window, 'load', initialize);
			} catch(err) {

			}
			
			
			
		});
		
	})(jQuery);
</script>
<?php }else{ ?>
<script>
	(function($){
		'use strict';
		
		$(document).ready(function(){
			var contact = {"lat":"<?php echo  esc_js($atts['lat']); ?>", "lon":"<?php echo esc_js($atts['lon']); ?>"}; //Change a map coordinate here!

			try {
				var mapContainer = $('#map');
				mapContainer.gmap3({
					action: 'addMarker',
					marker:{
						options:{
							icon : new google.maps.MarkerImage('<?php echo get_template_directory_uri(); ?>/images/marker.png')
						}
					},
					latLng: [contact.lat, contact.lon],
					map:{
						center: [contact.lat, contact.lon],
						zoom: 16
						},
					},
					{action: 'setOptions', args:[{scrollwheel:false}]}
				);
			} catch(err) {

			}
		
	
		});
		
	})(jQuery);
</script>
<?php } ?>