<?php get_header(); ?>

		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php 
							if ( is_singular( 'product' ) ) {
								single_post_title();
							}else{
							woocommerce_page_title(); 
							}
						?></h2>
					</div>
					<div class="col-md-6">
						<?php woocommerce_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->
		<?php if ( is_singular( 'product' ) ) { ?>
		<section class="single-product-section">
			<div class="container">
			<?php woocommerce_content();?>
			</div>
		</section>
		<?php }else{ ?>
		<!-- shop section 
			================================================== -->
		<section class="shop-section">
			<div class="container">
				<div class="row">
					<div class="col-md-9 col-sm-7">
						<div class="shop-box">
							<?php
								
								   //For ANY product archive.
								   //Product taxonomy, product search or /shop landing
									woocommerce_get_template( 'archive-product.php' );
								  
							?>
							
						</div>
					</div>
					<div class="col-md-3 col-sm-5">
						<?php get_sidebar('shop'); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End shop section -->
		<?php } ?>
<?php get_footer(); ?>
</html>