<?php
$css = '';
extract(shortcode_atts(array(
    'title' => '',
    'subtitle' => '',
    'order' => '',
), $atts));
$args = array('post_type' => 'post', 'posts_per_page' => $atts['order']);
$portfolio = new WP_Query($args);
?>

<div class="news-title">
	<h2><?php echo esc_html($title); ?></h2>
	<?php if($subtitle!=''){ ?>
	<p><?php echo do_shortcode($subtitle); ?></p>
	<?php } ?>
</div>
<div class="news-box">
	<div class="row">
		<?php while($portfolio->have_posts()) : $portfolio->the_post(); ?>
		<div class="col-md-3 col-sm-6">
			<div class="news-post">
				<?php 
					if(has_post_thumbnail()){
					$img = housebuild_thumbnail_url('');
					$img_url = bfi_thumb($img, array('width'=>400, 'height'=> 300));
				?>
				<img src="<?php echo esc_attr($img_url); ?>" alt="<?php the_title(); ?>" width="400" height="300">
				<?php } ?>
				<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<span><?php the_time('d F Y'); ?></span>
				<p><?php echo housebuild_excerpt($limit=15); ?></p>
				<a href="<?php the_permalink(); ?>"><?php esc_html_e('Continue Reading','housebuild'); ?>...</a>
			</div>
		</div>
		<?php endwhile; ?>
	</div>
</div>

