<?php get_header(); ?>

		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php single_post_title(); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- blog section 
			================================================== -->
		<section class="blog-section">
			<div class="container">
				<div class="row">
					<div class="col-md-8">
						<div class="blog-box">
						<?php while(have_posts()) : the_post(); ?>
							<div class="blog-post single-post">
								<?php if(get_post_format()=='video'){ ?>
									<?php echo wp_oembed_get(get_post_meta(get_the_ID(), '_cmb_intro_video', true)); ?>
								<?php }elseif(has_post_thumbnail()){
									the_post_thumbnail();
								}?>
								<div class="post-content-text">
									<h1><?php the_title(); ?></h1>
									<span><?php the_time('d F Y'); ?></span>
									<?php the_content(); ?>
									<?php
										$defaults = array(
											'before'           => '<div id="page-links"><strong>Page: </strong>',
											'after'            => '</div>',
											'link_before'      => '<span>',
											'link_after'       => '</span>',
											'next_or_number'   => 'number',
											'separator'        => ' ',
											'nextpagelink'     => esc_html__( 'Next page','housebuild' ),
											'previouspagelink' => esc_html__( 'Previous page','housebuild' ),
											'pagelink'         => '%',
											'echo'             => 1
										);
									 ?>
									<?php wp_link_pages($defaults); ?>
									<?php if(has_tag()){ ?>
										<?php the_tags('<ul class="single-post-tags"><li><span>Tags: </span> </li><li>',' </li>, <li>','</li></ul>'); ?>
									<?php } ?>						
								</div>
							</div>
							<div class="autor-post">
								<?php if(get_user_meta(get_the_author_meta('ID'), '_cmb_avatar' ,true)!=''){ ?>
								<img src="<?php echo get_user_meta(get_the_author_meta('ID'), '_cmb_avatar' ,true); ?>" />
								<?php }else{ ?>
								<?php 
									 echo get_avatar(get_the_author_meta('user_email'),$size='130',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=150' );
								?>
								<?php } ?>
								<div class="autor-content">
									<h2><?php echo get_the_author_meta('display_name');?></h2>
									<span><?php echo get_user_meta(get_the_author_meta('ID'), '_cmb_user_Job' ,true); ?></span>
									<p><?php echo get_the_author_meta('description');?></p>
								</div>
							</div>
							<?php global $post; ?>
							<?php if('open' == $post->comment_status){ ?>
							<?php 
								comments_template();
							?>
							<?php } ?>
						<?php endwhile; ?>
						</div>
						
					</div>
					<div class="col-md-4">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End blog section -->
<?php get_footer(); ?>