<?php
// Title
if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Section Title",'housebuild'),
   "base" => "qk_title",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'housebuild'),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Intro Title",'housebuild'),
         "param_name" => "subtitle",
         "value" =>'',
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_title extends WPBakeryShortCode {
}

//Service

if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Service",'housebuild'),
   "base" => "qk_service",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'housebuild'),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => esc_html__("Service Image", 'housebuild'),
         "param_name"=> "image",
         "value"     => "",
         "description" => esc_html__("Upload Image", 'housebuild')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Link",'housebuild'),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      ),
	  array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content ",'housebuild'),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
   )
) );

}
class WPBakeryShortCode_qk_service extends WPBakeryShortCode {
}


// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Team",'housebuild'),
   "base" => "qk_team",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Name",'housebuild'),
         "param_name" => "name",
         "value" => "John Doe",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => esc_html__("Avatar", 'housebuild'),
         "param_name"=> "image",
         "value"     => "",
         "description" => esc_html__("UploadIcon", 'housebuild')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Job",'housebuild'),
         "param_name" => "job",
         "value" => "Company Menager",
         "description" => ''
      ),
	  array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content ",'housebuild'),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
	  
   )
) );

}
class WPBakeryShortCode_qk_team extends WPBakeryShortCode {
}


// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Service Offer",'housebuild'),
   "base" => "qk_service_offrer",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'housebuild'),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => esc_html__("Service Image", 'housebuild'),
         "param_name"=> "image",
         "value"     => "",
         "description" => esc_html__("Upload Image", 'housebuild')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Link",'housebuild'),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      ),
	  array(
         "type" => "textarea_raw_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content ",'housebuild'),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
	   
   )
) );

}
class WPBakeryShortCode_qk_service_offrer extends WPBakeryShortCode {
}


// Portfolio


if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Projects",'housebuild'),
   "base" => "qk_portfolio",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'housebuild'),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Subtitle",'housebuild'),
         "param_name" => "subtitle",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Order",'housebuild'),
         "param_name" => "order",
         "value" => "8",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("On/Off Filter",'housebuild'),
         "param_name" => "filter",
         "value" => "on",
         "description" => '"on" or "off"'
      ),
   )
) );

}
class WPBakeryShortCode_qk_portfolio extends WPBakeryShortCode {
}


// Portfolio


if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK News",'housebuild'),
   "base" => "qk_news",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'housebuild'),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Subtitle",'housebuild'),
         "param_name" => "subtitle",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Order",'housebuild'),
         "param_name" => "order",
         "value" => "4",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_news extends WPBakeryShortCode {
}
// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Gmap",'housebuild'),
   "base" => "qk_gmap",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Latitude",'housebuild'),
         "param_name" => "lat",
         "value" => "-33.880641",
         "description" => ''
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Longitude",'housebuild'),
         "param_name" => "lon",
         "value" => "151.204298",
         "description" => ''
      ),
	  array(
         "type" => "dropdown",
		  "heading" => esc_html__('Map Type', 'housebuild'),
		  "param_name" => "type",
		  "value" => array(   
							__('Street View', 'housebuild') => 'street',  
							__('Default', 'housebuild') => 'housebuild',                                                                                
						  ),
		  "description" => '',
      ),
	 
   )
) );

}
class WPBakeryShortCode_qk_gmap extends WPBakeryShortCode {
}


vc_map( array(
    "name" => esc_html__("QK Testimonials", 'housebuild'),
    "base" => "qk_testimonials",
    "as_parent" => array('only' => 'qk_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", 'housebuild'),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", 'housebuild')
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_testimonials extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Testimonial",'housebuild'),
   "base" => "qk_testimonial",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_testimonials'),
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Name",'housebuild'),
         "param_name" => "name",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_raw_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content",'housebuild'),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Job",'housebuild'),
         "param_name" => "job",
         "value" => "",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_testimonial extends WPBakeryShortCode {
}

//Clients
vc_map( array(
    "name" => esc_html__("QK Clients", 'housebuild'),
    "base" => "qk_clients",
    "as_parent" => array('only' => 'qk_client'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", 'housebuild'),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", 'housebuild')
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_clients extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Client",'housebuild'),
   "base" => "qk_client",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_clients'),
   "params" => array(
	 
      
	   array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Logo",'housebuild'),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Link",'housebuild'),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_client extends WPBakeryShortCode {
}


//QK Flexslider
vc_map( array(
    "name" => esc_html__("QK Flexslider", 'housebuild'),
    "base" => "qk_flexslider",
    "as_parent" => array('only' => 'qk_slide'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", 'housebuild'),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", 'housebuild')
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_flexslider extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Slide",'housebuild'),
   "base" => "qk_slide",
   "class" => "",
   "category" => esc_html__("Content", 'housebuild'),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_clients'),
   "params" => array(
	 
      
	   array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Slide background",'housebuild'),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content",'housebuild'),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_slide extends WPBakeryShortCode {
}